## view.page
Class RegistrationPage.EntryTable

    java.lang.Object
      view.xhtml.HtmlObject
          view.xhtml.HtmlElement
              view.xhtml.ContainerElement
                  view.xhtml.Table
                      view.element.ListTable
                          view.page.RegistrationPage.EntryTable

Enclosing class:
  RegistrationPage

    private class RegistrationPage.EntryTable

extends ListTable

A class for a table to list all entries.

Constructor Summary
`RegistrationPage.EntryTable(Tournament tournament, boolean pre, boolean pre_page, Tournament.EntryComparator.SortBy sort_by, boolean printable)` Constructs the element.
`RegistrationPage.EntryTable(Tournament tournament, Tournament.EntryComparator.SortBy sort_by, boolean printable)` As above but by default final entries on final registration.

Method Summary

Methods inherited from class view.element.ListTable
`getHeader`

Methods inherited from class view.xhtml.Table
`addTr`

Methods inherited from class view.xhtml.ContainerElement
`add, add, getHtml, getHtml`

Methods inherited from class view.xhtml.HtmlElement
`getCloseTag, getCloseTag, getStartTag, getStartTag, setAttribute, setClass, setId, setName`

Methods inherited from class view.xhtml.HtmlObject
`getHtml, getIndent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RegistrationPage.EntryTable

    public RegistrationPage.EntryTable(Tournament tournament,
                                       boolean pre,
                                       boolean pre_page,
                                       Tournament.EntryComparator.SortBy sort_by,
                                       boolean printable)

  Constructs the element.

  Parameters:
    `tournament` - the tournament to get the entries from.
    `pre` - if true, creates a table of pre-entries, otherwise uses the final entries.
    `pre_page` - if true, displays actions on a preregistration page, otherwise on a final registration page.
    `sort_by` - the column to sort by.
    `printable` - if true, creates a printable version of the table.

### RegistrationPage.EntryTable

    public RegistrationPage.EntryTable(Tournament tournament,
                                       Tournament.EntryComparator.SortBy sort_by,
                                       boolean printable)

  As above but by default final entries on final registration.